﻿<html>
<head>
    <title>Обьекты</title>

    <script type="text/javascript">

        var employees = [];  

        do {
            var value = confirm('Will you add another employee?');

            if (!value) {
                break;
            }

            var employee = {};

            employee.name = prompt('Enter your name');

            employee.sName = prompt('Enter your SName');

            employee.age = prompt('Enter your age');

            employee.occupation = prompt('Enter your occupation');

      
            employees.push(employee);

            var result = getSalary(employees);


            employee.show = function () {
                console.log('Employee:');
                console.log('Name: ' + this.name + '\n');
                console.log('SName: ' + this.sName + '\n');
                console.log('Age: ' + this.age + '\n');
                console.log('Occupation: ' + this.occupation + '\n');
                console.log('Salary: ' + this.salary + '\n');
            };

            employee.show();
        }

        while (value === true); 
        
       
        function getSalary(arr) {

            for(var i = arr.length; i >= 0; i--){

                    if(employee.occupation == "director")
                    {employee.salary = 3000}
                    else if(employee.occupation == "manager")
                    {employee.salary = 1500}
                    else if(employee.occupation == "programmer")
                    {employee.salary = 2000}
                    else{employee.salary = 1000}
                
            }
        }

        var answer = prompt('Insert criterion to sort array from start till end: name, sName, age, occupation or salary');

        function getSorted(array, field){
            array.sort(function (a, b) {
                if (typeof a[field] === 'number') {
                    return a[field] - b[field];
                }

                if (typeof a[field] === 'string') {
                    var i = 0;

                    do {
                        if (a[field][i] !== b[field][i]) {
                            return a[field][i] > b[field][i];
                        }

                        i++;
                    } while (a[field][i] && b[field][i]);
                }

                if (typeof a[field] === 'function') {
                    return a[field]() - b[field]();
                }

                return false;
            });
        }

        getSorted(employees, answer);
        
        console.log(employees);

    </script>

</head>
<body>

    <!-- Разметка страници -->

</body>
</html>
